/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#ifndef _KXTJ2_H_
#define _KXTJ2_H_
#include "project.h"

#define KXTJ2_ODR_0_781     0x08
#define KXTJ2_ODR_1_563     0x09
#define KXTJ2_ODR_3_125     0x0A
#define KXTJ2_ODR_6_25      0x0B
#define KXTJ2_ODR_12_5      0x00
#define KXTJ2_ODR_25        0x01
#define KXTJ2_ODR_50        0x02
#define KXTJ2_ODR_100       0x03
#define KXTJ2_ODR_200       0x04
#define KXTJ2_ODR_400       0x05
#define KXTJ2_ODR_800       0x06
#define KXTJ2_ODR_1600      0x07
    
/**
 * CTRL_REG1
 * bit[7] PC1 : 0 = stand-by mode 1 = operating mode
 * bit[6] RES : 0 = low current 8bit valid 1 = high current 12bit, 14bit valid
 * bit[5] DRDYE : 0 = new data not reflected as an interrupt 1 = new data reflected as an interrupt
 * bit[4:3] GSEL[1:0]
 *       00 : +/- 2g
 *       01 : +/- 4g
 *       10 : +/- 8g
 *       11 : +/- 8g 14bit full power
 * bit[2] 0 (reserved)
 * bit[1] WUFE : 0 = Wake Up function disabled 1 = Wake Up function enabled
 * bit[0] 0 (reserved)
 */
    
#define KXTJ2_PC1           0x80
#define KXTJ2_RES           0x40
#define KXTJ2_DRDYE         0x20
#define KXTJ2_2G            0x00
#define KXTJ2_4G            0x08
#define KXTJ2_8G            0x10
#define KXTJ2_8GFULL        0x18
    
void    KXTJ2_reboot(void) ;
void    KXTJ2_standby(void) ;
void    KXTJ2_run(void) ;
void    KXTJ2_init(void) ;
void    KXTJ2_EnableInterrupt(int mode) ; /* 0: disable 1: enable */
void    KXTJ2_ClearInterrupt(void) ;
uint8_t KXTJ2_getODR(void) ;
void    KXTJ2_setODR(uint8_t odr) ;
uint8_t KXTJ2_getID(void) ;
int16_t KXTJ2_getX(void) ;
int16_t KXTJ2_getY(void) ;
int16_t KXTJ2_getZ(void) ;
void    KXTJ2_getAllRawData(int16_t data[]) ;
void    KXTJ2_getAllAxis(float data[]) ;


void KXTJ2_test(int col, int row) ;
    
#endif /* _KXTJ2_H_ */

/* [] END OF FILE */
